Subject: Re: Efficiently detecting paths that differ from each other only in case

From: Jakub Narebski <[email-masked]>
Date: Sun, 10 Oct 2010 00:31:10 +0200

On Sun, Oct 10, 2010, Dun Peal wrote:
> On Sat, Oct 9, 2010 at 3:47 AM, Jakub Narebski <[email-masked]> wrote:

> > Sidenote: why not detect violation earlier, by having pre-commit hook
> > in each developer repository check for such violation?  It is not as
> > time sensitive on the local side (when creating a commit, you have to
> > take some time to write commit message anyway).
> 
> That's a solution, but as you surely know hooks are not automatically
> cloned with the repository. There's no way to ensure that all of our
> many users install that hook, and we can't allow an incorrect state on
> the central node.
> 
> A pre-receive hook on that node seems like the only way to really ensure that.

Well, if you can control git installation on client side, you can
modify git templates (usually in /usr/share/git-core/templates) to
have appropriate pre-commit hok enabled in all repositories created
there... but I agree that it is not an universal solution.

-- 
Jakub Narebski
Poland